<?php
//limpar cnpj de espacos
function extrairNumero($str){ 
  return preg_replace("/[^0-9]/", "", $str); 
}

//busca o cnpj do fornecedor sem o zero
 function NotaCnpj ($chave){
        
       $cnp = substr($chave, -38, 14);
       $cnpj = ltrim($cnp, '0');
       return $cnp;
}

//busca o cnpj do fornecedor com o zero
function NotaCnpjComZero ($chave){
        
  $cnpj = substr($chave, -38, 14);
  return $cnpj;
}





//busca o numero da nota
function NotaNumero($chave){
        
       $numero = intval(substr($chave, -19, 9));
       return $numero;
}

//verica o tamanho da chave da nota
function validarChave($chave){
$contar_chave = strlen($chave);


if ($chave <> 0){

    if ($contar_chave <> 44){
            $_SESSION['msg'] = "<div class='alert alert-danger'>Chave inválida  =[</div>";
            header("Location:receber.php");
        }
    }

}